Recommended update for nginx

SUSE Recommended Update: Recommended update for nginx
Announcement ID: SUSE-RU-2020:1064-1
Rating: moderate
References: #1150711 #1155690 #1156202
Affected Products:
  • SUSE Linux Enterprise Module for Server Applications 15-SP1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1

An update that has three recommended fixes can now be installed.

Description:

This update for nginx fixes the following issues:
nginx was updated to 1.16.1 (jsc#ECO-1401)

  • Added TLS 1.3 support (jsc#SLE-9295, bsc#1150711)
  • Replaced obsolete GeoIP module with MaxMinDB-based GeoIP2 (jsc#SLE-11184, bsc#1156202)
  • Started nginx after network is online (bsc#1155690)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Server Applications 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Server-Applications-15-SP1-2020-1064=1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-1064=1

Package List:

  • SUSE Linux Enterprise Module for Server Applications 15-SP1 (aarch64 ppc64le s390x x86_64):
    • nginx-1.16.1-6.10.4
    • nginx-debuginfo-1.16.1-6.10.4
    • nginx-debugsource-1.16.1-6.10.4
  • SUSE Linux Enterprise Module for Server Applications 15-SP1 (noarch):
    • nginx-source-1.16.1-6.10.4
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (noarch):
    • vim-plugin-nginx-1.16.1-6.10.4

References: